%define name smeserver-mod_fastcgi
%define version 0.1
%define release 1

Summary: SME Server mod_fastcgi implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7 
Requires: httpd >= 2
Requires: mod_fastcgi
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

%description
Implementation of mod_fastcgi for SME Server 7.

%changelog

%prep

%setup

%build
DEFAULTS=root/etc/e-smith/db/configuration/defaults/modFastCGI
mkdir -p $DEFAULTS
echo "service"  > $DEFAULTS/type
echo "enabled"  > $DEFAULTS/status

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/etc/e-smith/events/actions/initialize-default-databases
/etc/e-smith/events/actions/navigation-conf
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1

%postun
/sbin/e-smith/db configuration delete modFastCGI
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/e-smith/events/actions/navigation-conf
/etc/rc7.d/S86httpd-e-smith sigusr1

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
